import * as z from 'zod';
export const CommissionBatchItemAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    commissionBatchId: z.number(),
    paymentId: z.number(),
    collectionAmount: z.number(),
    commissionBatch: z.number(),
    payment: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    commissionBatchId: z.number().nullable(),
    paymentId: z.number().nullable(),
    collectionAmount: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    commissionBatchId: z.number().nullable(),
    paymentId: z.number().nullable(),
    collectionAmount: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    commissionBatchId: z.number().int().nullable(),
    paymentId: z.number().int().nullable(),
    collectionAmount: z.number().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    commissionBatchId: z.number().int().nullable(),
    paymentId: z.number().int().nullable(),
    collectionAmount: z.number().nullable()
  }).nullable().optional()});